ch.qos.logback.classic.log4j

## Class XMLLayout

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.LayoutBase<ILoggingEvent>
    - - ch.qos.logback.classic.log4j.XMLLayout

All Implemented Interfaces:
  Layout<ILoggingEvent>, ContextAware, LifeCycle

    public class XMLLayout
    extends LayoutBase<ILoggingEvent>

Generates log4j.dtd compliant XML documents.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.LayoutBase

`started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`XMLLayout()`

### Method Summary

Methods
`java.lang.String` `doLayout(ILoggingEvent event)` Formats a `ILoggingEvent` in conformity with the log4j.dtd.
`java.lang.String` `getContentType()` Returns the content type as appropriate for the implementation.
`boolean` `getLocationInfo()` Returns the current value of the LocationInfo option.
`boolean` `getProperties()` Gets whether MDC key-value pairs should be output.
`void` `setLocationInfo(boolean flag)` The LocationInfo option takes a boolean value.
`void` `setProperties(boolean flag)` Sets whether MDC key-value pairs should be output, default false.
`void` `start()`

### Methods inherited from class ch.qos.logback.core.LayoutBase

`getContext, getFileFooter, getFileHeader, getPresentationFooter, getPresentationHeader, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

### Constructor Detail

#### XMLLayout

    public XMLLayout()

### Method Detail

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `LayoutBase<ILoggingEvent>`

#### setLocationInfo

    public void setLocationInfo(boolean flag)

The LocationInfo option takes a boolean value. By default, it is set to false which means there will be no location information output by this layout. If the the option is set to true, then the file name and line number of the statement at the origin of the log statement will be output.

If you are embedding this layout within an `org.apache.log4j.net.SMTPAppender` then make sure to set the LocationInfo option of that appender as well.

#### getLocationInfo

    public boolean getLocationInfo()

Returns the current value of the LocationInfo option.

#### setProperties

    public void setProperties(boolean flag)

Sets whether MDC key-value pairs should be output, default false.

Parameters:
  `flag` - new value.
Since:
  1.2.15

#### getProperties

    public boolean getProperties()

Gets whether MDC key-value pairs should be output.

Returns:
  true if MDC key-value pairs are output.
Since:
  1.2.15

#### doLayout

    public java.lang.String doLayout(ILoggingEvent event)

Formats a `ILoggingEvent` in conformity with the log4j.dtd.

Parameters:
  `event` - The event to format
Returns:
  the event formatted as a String

#### getContentType

    public java.lang.String getContentType()

Description copied from interface: `Layout`
Returns the content type as appropriate for the implementation.

Specified by:
  `getContentType` in interface `Layout<ILoggingEvent>`
Overrides:
  `getContentType` in class `LayoutBase<ILoggingEvent>`
Returns: